'use strict';
var Spinner, chalk, readline, spinner;
readline = require('readline');
chalk = require('chalk');
Spinner = require('cli-spinner').Spinner;
spinner = new Spinner(chalk.green.bold('>> Fetching ') + chalk.cyan('%s '));
if (process.platform !== 'win32') {
  spinner.setSpinnerString(['⠋', '⠙', '⠹', '⠸', '⠼', '⠴', '⠦', '⠧', '⠇', '⠏'].join(''));
}
module.exports = {
  start: function() {
    return spinner.start();
  },
  stop: function() {
    spinner.stop();
    readline.clearLine(process.stdout, 0);
    return readline.cursorTo(process.stdout, 0);
  }
};
